Subject: FW: Trainer Candidate - Jitendar Giri
From: Deeksha Dadu <[email-masked]>
To: Livesalesman <[email-masked]>
Date: Tue, 16 Feb 2021 14:36:30 +0000

First round for trainer

From: Jitendar Giri <[email-masked]<mailto:[email-masked]>>
Reply-To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, 16 February 2021 at 7:54 PM
To: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Deeksha Dadu <[email-masked]<mailto:[email-masked]>>, Ashish Dabral <[email-masked]<mailto:[email-masked]>>
Subject: Trainer Candidate - Jitendar Giri

[https://www.jotform.com/uploads/lsmindia/form_files/LSM%20Logo.5ec38b9aad59e5.76825569.png]

        [https://cdn.jotfor.ms/assets/img/builder/email_logo_small.png]         Tech Support Test

Name    Jitendar Giri
E-mail  [email-masked]<mailto:[email-masked]>
Phone Number    (91) 7003724044
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station    I can commute only using Metro
Where do you currently live (area)      New Delhi
Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA
        Name of Company Designation     Last working day        Monthly Salary (inhand)
Current Employer        Coforge Ltd.    Senior Associate        NA      36000
Previous Employer 1     NA
Previous Employer 2     NA
If Selected, how much time do you need to join? 60 Days
Please briefly describe your work experience specifically in training?  Provided technical support through online and classroom training to various govt clients like BSF,  NCRB and AAI. Worked as a trainer for about 3 years and now leading a team of technical support which includes trainers, service desk and tech support.
Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? No
Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team.  I was working on a project where I was leading a service desk. When I just entered the project I was asked to look into the calls which were open since long time and to close them as they were causing a lot of penalties from client. I classified the calls into various categories based on complexities. There were only few calls which were easier to close asap. The real challenge was to close those calls which might cause huge penalty. To avoid this I convenced client to close the calls and again reopen them in order to minimise the no. of days of their being pending and instruct my team to close them one by one. Also, declared some incentive to my team members. In this way we managed to cut off penalty to our project.
What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences)   A good customer service meets cutomer's expectation but great customer service exceeds the expectations.
Good customer service reps will get the problem solved eventually but the great one will solve it immediately.
Good service will ensure issues gets addressed while Great service will fix more than what broken.
Great service providers find a way to connect with the customers on a personal level. Anybody would like to get felt heard as a person rather than ticket no 86.
What according to you makes you a good candidate for this position?     I have provided training and handled various govt bodies as client who are the toughest people to deal with. I have also handled a very diverse team and delivered a high level and consistent service to our customers.
On a scale of 1 - 5 please rate your fluency in spoken English  4